mixin endBeforeStartValidation(startElem, endElem, errMessage, noendElem='', dts=false)
    script.
        $('##{startElem}, ##{endElem}, ##{startElem}T, ##{endElem}T').on('change', function () {
            let ed = $('##{endElem}');
            let sd = $('##{startElem}');
            let edt = $('##{endElem}T');
            let sDate, eDate;
            if (#{dts}) {
                // Special datetime handling
                let sds = sd.val().replace(' ', 'T');
                let eds = ed.val().replace(' ', 'T');
                sDate = new Date(sds);
                eDate = new Date(eds);
            } else {
                sDate = new Date(sd.val());
                eDate = new Date(ed.val());
            }
            let edn = ed.next('input');
            if (eDate-sDate <= 0) {
                ed.addClass('is-invalid');
                edt.addClass('is-invalid');
                ed[0].setCustomValidity('#{errMessage}');
                if (edn[0]) edn[0].setCustomValidity('#{errMessage}');
            } else {
                ed.removeClass('is-invalid');
                edt.removeClass('is-invalid');
                ed[0].setCustomValidity('');
                if (edn[0]) edn[0].setCustomValidity('');
            }
        });

        $('##{noendElem}').on('change', (e) => {
            let isChecked = $(e.target).prop('checked');
            let ed = $('##{endElem}');
            let edn = ed.next('input');
            ed.prop('disabled', (isChecked) ? 'true' : '');
            edn.prop('disabled', (isChecked) ? 'true' : '');
            if (isChecked) {
                ed.val("");
                edn.val("");
            }
            ed.change();
        });